<div class="relative pt-28 pb-14 md:pt-40 md:pb-24 lg:pt-44 xl:pt-56 xl:pb-32">

    @if(isinvalid || connexionProblem){
    <div class="rounded animate-fadeIn delay-700 bg-red-100 px-4 py-3 mx-3 mb-8 -mt-4 md:-mt-12 xl:-mt-16 xl:mx-60">
        <div class="flex gap-3">
            <i class="fa-solid fa-circle-xmark text-red-400 mt-1"></i>
            @if(isinvalid){
            <p class="font-medium text-red-900">Oups, la connexion à votre compte à échoué</p>
            }
            @if(connexionProblem){
            <p class="font-medium text-red-900">Oups, un problème est survenu...</p>
            }
        </div>
        @if(isinvalid){
        <p class="text-red-700 text-sm ml-7 mt-2">Les informations de connexions que vous avez rentré ne sont pas
            correcte...</p>
        }
    </div>
    }

    <div>
        <h2 class="text-center text-[#C29667] text-2xl min[425px]:text-xl relative md:text-3xl xl:text-4xl">
            Se connecter
        </h2>
        <hr class="absolute mt-2 left-1/2 transform -translate-x-1/2 w-16 border-t-1 border-[#C29667]">
    </div>

    <form [formGroup]="loginForm" (ngSubmit)="onSubmit()">
        <div class="w-full px-5 mt-10 md:w-fit md:mx-auto">
            <div class="relative mb-8 text-left">
                <label for="user_mail" class="leading-7 text-gray-600">
                    E-mail *
                </label>
                <input type="email" id="user_mail" name="user_mail"
                    class="w-full rounded bg-gray-200 focus:ring-2 focus:ring-[#C29667] text-base xl:text-lg outline-none py-1 px-4 leading-8 transition-colors duration-200 ease-in-out border-2 {{ isRequiredEmail || isEmailValid ? 'border-rose-600' : '' }}"
                    formControlName="user_mail" />
                @if(isRequiredEmail){
                <span class="text-rose-600 dark:text-rose-500 text-sm">L'e-mail ne peut pas être vide</span>
                }
                @if(isEmailValid){
                <span class="text-rose-600 dark:text-rose-500 text-sm">L'e-mail n'est pas correct</span>
                }
            </div>

            <div class="relative mb-4 text-left">
                <label for="password" class="leading-7 text-gray-600">
                    Mot de passe *
                </label>
                <input type="password" id="password" name="password"
                    class="w-full rounded bg-gray-200 focus:ring-2 focus:ring-[#C29667] text-base outline-none py-1 px-4 leading-8 transition-colors duration-200 ease-in-out border-2 {{ isRequiredPassword ? 'border-rose-600' : '' }}"
                    formControlName="password" />
                @if(isRequiredPassword){
                <span class="text-rose-600 dark:text-rose-500 text-sm">Le mot de passe ne peut pas être vide</span>
                }
            </div>

            <input id="comments" aria-describedby="comments-description" name="comments" formControlName="rememberMe"
                type="checkbox" class="mt-6">
            <label for="comments" class="ml-3 font-light">
                Se souvenir de moi
            </label>
            <button
                class="text-white bg-[#C29667] border-0 py-2 mt-5 px-8 focus:outline-none hover:bg-[#734124] transition duration-500 rounded-full text-lg xl:text-xl w-full"
                type="submit">
                Se connecter
            </button>
            <div class="text-center text-sm lg:text-base mt-5 hover:text-orange-500 transition duration-300">
                <a (click)="openModal()" class="cursor-pointer">Mot de passe
                    oublié ?</a>
            </div>
            <div class="flex text-xs text-center gap-4 mt-10">
                <p>Vous n’avez pas encore de compte ?</p>
                <a href="create-an-account" class="text-orange-500">
                    Inscrivez -vous dès maintenant !
                </a>
            </div>
        </div>
    </form>
</div>

<app-modal [isOpen]="modalIsOpen" [title]="'Mot de passe oublié'">
    <p class="text-sm mt-2 italic font-light">Mot de passe perdu ? Veuillez saisir votre adresse e-mail. Vous recevrez
        un lien par e-mail pour créer un nouveau mot de passe.</p>
    <div class="mt-5">
        @if(isinvalidForgotModal){
        <div class="rounded animate-fadeIn delay-700 bg-red-100 px-4 py-3 mx-3 mb-8">
            <div class="flex gap-3">
                <i class="fa-solid fa-circle-xmark text-red-400 mt-1"></i>
                <p class="font-medium text-red-900">Oups, l'email que vous avez renseigné n'est pas inscrit</p>
            </div>
            <p class="text-red-700 text-sm ml-7 mt-2">L'email que vous avez saisie n'appartient à aucun utilisateur de
                la plateforme...</p>
        </div>
        }
        <form [formGroup]="forgotForm" (ngSubmit)="onForgotSubmit()">
            <label for="mail" class="leading-7 text-gray-600">
                E-mail *
            </label>
            <input type="email" id="user_mail" name="user_mail"
                class="w-full rounded bg-gray-200 focus:ring-2 focus:ring-[#C29667] text-base xl:text-lg outline-none py-1 px-4 leading-8 transition-colors duration-200 ease-in-out border-2 {{ isRequiredForgotEmail || isEmailForgotValid ? 'border-rose-600' : '' }}"
                formControlName="user_mail" />
            @if(isRequiredForgotEmail){
            <span class="text-rose-600 dark:text-rose-500 text-sm">L'e-mail ne peut pas être vide</span>
            }
            @if(isEmailForgotValid){
            <span class="text-rose-600 dark:text-rose-500 text-sm">L'e-mail n'est pas correct</span>
            }
        </form>
        <app-button class="text-sm flex justify-center mt-8" [buttonText]="'Réinitialiser mon mot de passe'"
            (buttonClick)="onForgotSubmit()"></app-button>
    </div>
</app-modal>

<app-spinner [loading]="isLoading"></app-spinner>